<?php 

/*
** SellaNMS
** $Id: browser.php,v 1.6 2006/01/24 07:08:09 sella Exp $
** Copyright (c) 2001 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

require_once('modules/browser/modules/browserbody.php');
require_once('modules/browser/modules/browsersearch.php');

class Browser extends Module {
	function Browser() {
      Module::Module();

		$this->dependants[] = new BrowserSearch();
		$this->dependants[] = new BrowserBody();

      $this->cache_ext = 'php';
	}

	function shouldUpdate() {
		return false;
	}

	function getContent($tabs) {
		for ($i = 0; $i < $tabs; $i++) {
			$indent .= "\t";
		}
		$content = join('', file('modules/browser/templates/browser_template.php'));

		return $content;
	}
}

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim:
** vim: noet ts=3 sw=3
*/

?>
